> For the complete documentation index, see [llms.txt](https://docs.wisej.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/api/wisej.web/enumerations/wisej.web.appearance.md).

# Appearance

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Specifies whether a [CheckBox](/api/wisej.web/buttons/wisej.web.checkbox.md) or [RadioButton](/api/wisej.web/buttons/wisej.web.radiobutton.md) are displayed using the "button" or "switch" appearance keys or their default appearance.

{% tabs %}
{% tab title="C#" %}

```csharp
public enum Appearance : Enum
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Enum Appearance As [Enum]
```

{% endtab %}
{% endtabs %}

If the application has set the property [AppearanceKey](/api/wisej.web/general/control.md#appearancekey), changing the Appearance of a CheckBox or RadioButton has no effect. The AppearanceKey property set by the application has the priority.

## Fields

| Name       | Description                                                                                                                                                                                                                                |
| ---------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| **Button** | The appearance of a button control.                                                                                                                                                                                                        |
| **Normal** | The default appearance of the control. For default appearance key for the [CheckBox](/api/wisej.web/buttons/wisej.web.checkbox.md) is "checkbox", for the [RadioButton](/api/wisej.web/buttons/wisej.web.radiobutton.md) is "radiobutton". |
| **Switch** | The appearance of a toggle switch.                                                                                                                                                                                                         |

## Used By

| Name                                                                                                                                             | Description                                                                                                                     |
| ------------------------------------------------------------------------------------------------------------------------------------------------ | ------------------------------------------------------------------------------------------------------------------------------- |
| [CheckBox.Appearance](/api/wisej.web/buttons/wisej.web.checkbox.md#appearance)                                                                   | Returns or sets the value that determines the appearance of a [CheckBox](/api/wisej.web/buttons/wisej.web.checkbox.md) control. |
| [RadioButton.Appearance](/api/wisej.web/buttons/wisej.web.radiobutton.md#appearance)                                                             | Returns or sets the value that determines the appearance of a [CheckBox](/api/wisej.web/buttons/wisej.web.checkbox.md) control. |
| [RadioButtonExtensions.Appearance](/api/wisej.web.markup/extensions/wisej.web.markup.radiobuttonextensions.md#appearance-radiobutton-appearance) | Sets the Appearance property of the specified [RadioButton](/api/wisej.web/buttons/wisej.web.radiobutton.md).                   |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/enumerations/wisej.web.appearance.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
